<script setup lang="ts">
import type {LayoutKey} from "#build/types/layouts";

const {$layout} = useNuxtApp(),
      layout = $layout() as LayoutKey
</script>

<template lang="pug">
nuxt-layout(:name="layout")
  nuxt-page
</template>
